<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<META http-equiv=Content-Type content="text/html; charset=windows-1251">
<html>
<head>
</head>
<body style="background:#fffacd">
<form id="fzk"  method="POST" enctype="multipart/form-data" action="zk.php" style="position:absolute;top:0;left:0;width:100%">
<input name=zk0 type="button" style="background:#808080;color:yellow;display:none" onclick=zk_v(0) title="Получить записи" value="V">
<input name=zk1 type="button" style="background:#808080;color:yellow;display:none" onclick=zk_v(1) title="Получить запись" value=" ? ">
<input name=zk_red type="button" style="background:#c0c0c0;FONT-WEIGHT: bold" onclick=zk_v(2) title="Редактировать запись" value="Edit">
<input name=zk_sav  type="button" style="background:#c0c0c0;FONT-WEIGHT: bold;display:none" onclick=zk_v(3) title="Сохранить" value="Save">
<input name=zk_open   type="button" style="background:#c0c0c0;FONT-WEIGHT: bold;" onclick=zk_v(5) title="Открыть в большом окне" value="Open">
<input type="hidden" name=zk_m value="<?php echo $_REQUEST['zk_m']; ?>">
<input type="hidden" name=zk_tip value="<?php echo $_REQUEST['zk_tip']; ?>">
<input type="submit" value="отправить" name="zk_sub" style="width:50px;background:transparent;visibility:hidden" 
title="Загрузить шаблоны текстов или списков и выбрать строку-шаблон">
<b id=ppas>Пароль&nbsp;&nbsp;
<input type="password" name="zk_pass" size="10" value="<?php  echo $_REQUEST['zk_pass'];?>">
</b>
<div id=zk_sz style="overflow:scroll;HEIGHT:190px"  width=80%>
<?php
if (isset($_REQUEST['zk_tip']))   //  тип запроса
{$zktip=$_REQUEST['zk_tip'];}
else
{$zktip="";die("Нет типа запроса.");}
$l = file(getcwd ( ).'/p.html'); 	// прочитали файл пароля
foreach ($l as $li => $lin)         // возвращаем построчно
{if ($li==0)                        // пароль в первой строке
{$pass=$lin;}}
if ($pass=="")
{echo "НЕТ ПАРОЛЯ !";die;}

if (isset($_REQUEST['zk_pass']))   //  пароль
{$pass1=trim($_REQUEST['zk_pass']);}

if ($pass==md5("1",false) or (strlen($pass)<32 and $zktip!=3))        // если пароль не нужен
{$pp=true;}
else
{$pass1=md5($pass1,false);        // сфомируем сравнение
if (strlen($pass)==32)            // пароль на все
{}
else                              // пароль на запись
{$pass1=substr($pass1,3);}

if (trim($pass1) == trim($pass)) 
{$pp=true;}
else
{
if (trim($_REQUEST['zk_pass'])!="")
{echo "ВВЕДИТЕ ПРАВИЛЬНЫЙ ПАРОЛЬ !";$pp=false;}
else
{
if ($zktip==3) 
{echo "Для редактирования  введите пароль !";$pp=false;}
else
{echo "Для доступа введите пароль !";$pp=false;}
}
}}

if ($pp)                               // если пароль правильный или его нет
{
if (isset($_REQUEST['zk_tip']))        //  тип запроса
{$zktip=$_REQUEST['zk_tip'];}
else
{$zktip="";die("Нет типа запроса.");}
if (isset($_REQUEST['zk_m']))          //  выбранная на закладке номер
{$zkm=$_REQUEST['zk_m'];}
else
{$zkm="";die("Нет параметра m(закладка).");}




if ($zktip==0)
//*********************************
// Выдадим все записи всех вкладок
//*********************************
{
echo '<textarea name="zkhtml" rows=8  id=zk_e style="background:#e0ffff;width:92%;OVERFLOW: scroll;height:165;display:none">???</textarea>';

$scf="1.html,2.html,3.html,4.html,5.html,6.html,7.html,8.html,9.html,10.html,11.html,12.html,13.html,14.html,15.html,16.html,17.html,18.html,19.html,20.html,21.html,22.html,23.html,24.html,25.html,26.html,27.html,28.html,29.html,30.html,31.html,32.html,33.html,34.html,35.html,36.html,37.html,38.html,39.html,40.html,41.html,42.html";     // список соируемых файлов
$tag1=explode(',',$scf);                // разделим на файлы список
foreach ($tag1 as $k => $z)             //  просмотрим все атрибуты
{
if ($k==0)
{
echo "<b style=color:white;background:green> З А К Л А Д К И : </b><br>";
}
$l = file(getcwd ( ).'/'.$z); 	        // прочитали файл записей
foreach ($l as $li => $lin)             // возвращаем построчно
{
echo $lin;
}
echo "<hr>";
}}


if ($zktip==1)
//***********************************
// Выдадим  запись выбранной закладки
//***********************************
{$l = file(getcwd ( ).'/'.$zkm.'.html'); 	   // прочитали файл записей
foreach ($l as $li => $lin)                    // выводим для редактирования
{if ($li==0)                                   //если первая запись просто выводим ее 
{
echo $lin;
echo '<textarea name="zkhtml" rows=8  id=zk_e style="background:#e0ffff;width:92%;OVERFLOW: scroll;height:165;display:none">';
} 
else
{echo $lin;
}}
echo '</textarea>';
foreach ($l as $li => $lin)                    // выводим для показа
{ if ($li>0)  {echo $lin;}
}}


//*************************************
// Сохранение  записи выбранной закладки
//*************************************
if ($zktip==3)
{if (isset ($_REQUEST['zkhtml'])) 
{$tex=$_REQUEST['zkhtml'];
}
else
{$tex="";}
$l = file(getcwd ( ).'/'.$zkm.'.html'); 	            // прочитали файл записей
$w = fopen(getcwd ( ).'/'.$zkm.'.html',"w") or exit; 	// прочитали файл записей
 foreach ($l as $li => $lin)                            //  просмотрим все строки 
 {  if ($li==0)     // пишем новое значение
  {fwrite($w,$lin);}
  else               
  {fwrite($w,""); } // пишем старое значение
  } 
$tex=str_replace("\r\n","",$tex);
fwrite($w,$tex);
fclose($w);
$l = file(getcwd ( ).'/'.$zkm.'.html'); 	   // прочитали файл записей
foreach ($l as $li => $lin)                    // выводим для редактирования
{if ($li==0)                                   //если первая запись просто выводим ее 
{echo $lin;									   // остальные после поля редактирования
echo '<textarea name="zkhtml" rows=8  id=zk_e style="background:#e0ffff;width:92%;OVERFLOW: scroll;height:165;display:none">';
} 
else
{echo $lin;
}}
echo '</textarea>';
foreach ($l as $li => $lin)                    // выводим для показа
{ if ($li>0)  {echo $lin;}
}
}}
?>
</div>
</form>
</body>

<script type="text/javascript">

function zk_v(p)
{
//alert(window.top.document.getElementById('zkz').title)
//*************************************
// считать все закладки
if (p==0)
//*************************************
{
window.top.document.getElementById('cbzip').style.visibility="hidden"
window.top.document.getElementById('zip12').style.visibility="hidden"
window.top.document.getElementById('zip10').style.visibility="hidden"
fzk.elements["zk_m"].value=window.top.document.getElementById('zkz').title
fzk.elements["zk_tip"].value="0"   // 
fzk.elements["zk_sub"].click()     // запрос
}
if (p==1)
//***************************
// считать записи одной закладки
//***************************
{fzk.elements["zk_m"].value=window.top.document.getElementById('zkz').title
fzk.elements["zk_red"].style.display=""
fzk.elements["zk_tip"].value="1"   // считать все записи
fzk.elements["zk_sub"].click()     // запрос
}

if (p==2)
//********************************
// редактирование записи закладки
//********************************
{
if (document.all["zk_e"]==undefined)   // если нет поля редактирования
{alert("Не выбрана закладка !");}
else
{
fzk.elements["zk_sav"].style.display=""
fzk.elements["zkhtml"].style.display=""
window.top.document.getElementById('zii').style.top=window.top.document.getElementById('bod').scrollTop
fzk.elements["zkhtml"].style.display="";
fzk.elements["zk_tip"].value="2";
}}

if (p==3)
{
//************************
// Сохранение записи
//************************
if (document.all["zk_e"]==undefined) 
{alert("Не выбрана закладка !");}
else
{
if (fzk.elements["zkhtml"].style.display=="none")
{alert("Сохранение только после редактирования !");}else{
fzk.elements["zk_m"].value=window.top.document.getElementById('zkz').title;
fzk.elements["zk_tip"].value="3"   // сохранить
fzk.elements["zk_sub"].click()     // запрос
}}}

if (p==5)
//*************************************
// Открытие  записи в большом окне
//*************************************
{
if (document.all["zk_e"]==undefined) 
{
return;
}
if (window.top.mob)    // если планшет
{
window.top.knn=window.top.document.getElementById('bod').scrollTop

window.top.document.getElementById('bod').scrollTop=0
window.top.document.getElementById('zii').style.top=0
window.top.document.getElementById('zip').style.top=0
window.top.document.getElementById('gii').style.top=0
window.top.document.getElementById('gip').style.top=0
}



window.top.document.getElementById('cbzip').style.visibility="hidden"
window.top.document.getElementById('zip12').style.visibility="hidden"
window.top.document.getElementById('zip10').style.visibility="hidden"



// редактирование
if (document.all["zk_e"]!=undefined && document.getElementById('zk_e').style.display=="")  // он виден
{
window.top.document.getElementById('zip').style.top=window.top.document.getElementById('bod').scrollTop
imz='0123456789АБВГДЕЖЗИКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ!';           // все закладки
poz=parseInt(fzk.elements["zk_m"].value);
pro=imz.substr(poz-1, 1);
window.top.document.getElementById('ziiza').innerHTML="&nbsp;&nbsp;&nbsp;"+pro+"&nbsp;&nbsp;&nbsp;";
window.top.document.getElementById('zii').style.display="";  // покажем поле редактирования
window.top.document.getElementById('ppp').style.visibility="visible";
window.top.document.getElementById('ziir').value=document.getElementById('zk_e').value;
window.top.document.getElementById('tde2').innerHTML=window.top.document.getElementById('zkz').title;
window.top.document.getElementById('but2').click()           // установим режим TXT
}
else
{if (fzk.elements["zk_tip"].value==0)    // все записи
//************************************
// просмотр всех записей в большом окне
{
window.top.document.getElementById('zip').style.display="";  
window.top.document.getElementById('ppp').style.visibility="visible";
window.top.document.getElementById('zip1').innerHTML=document.getElementById('zk_sz').innerHTML;
window.top.document.getElementById('tde2').innerHTML="ВСЕ"
//window.top.document.getElementById('ziir').value=document.getElementById('zk_e').value;
window.top.document.getElementById('zip1').scrollTop=0;
}
}
if (fzk.elements["zk_tip"].value==1 || fzk.elements["zk_tip"].value==3)   // одна запись 
{
window.top.document.getElementById('cbzip').style.visibility="visible"
window.top.document.getElementById('zip12').style.visibility="visible"
window.top.document.getElementById('zip10').style.visibility="visible"

window.top.document.getElementById('tde2').innerHTML=window.top.document.getElementById('zkz').innerHTML;
window.top.document.getElementById('zip').style.display=""; 
window.top.document.getElementById('ppp').style.visibility="visible";
window.top.document.getElementById('zip1').innerHTML=document.getElementById('zk_sz').innerHTML;
window.top.document.getElementById('zip').style.top=window.top.document.getElementById('bod').scrollTop
window.top.document.getElementById('zip').style.top=window.top.document.getElementById('bod').scrollTop
window.top.document.getElementById('zip').style.top=window.top.document.getElementById('bod').scrollTop
}
}
}

//********************************************
//  после загрузки 
window.onload=function ()
{<?php
if ($pass==md5("1",false))        // если пароль не нужен
{echo 'document.getElementById("ppas").style.display="none";';}
if ($zktip==0)
{echo 'fzk.elements["zk_red"].style.display="none";';}
?>
}







</script>
<body></html>
